﻿using Aquaforest.ExtendedOCR.Api;
using System;
using System.IO;

namespace ConvertBMP_JPEG_PNGToSearchablePDF
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            try
            {
                string resourceFolder = Path.GetFullPath(@"..\..\..\..\..\xbin\resources");

                using (Ocr ocr = new Ocr(resourceFolder))
                {
                    // Set OCR options
                    ocr.Language = SupportedLanguages.English;
                    ocr.EnablePdfOutput = true;
                    ocr.EnableConsoleOutput = true;

                    // Set PreProcessor options
                    PreProcessor preProcessor = new PreProcessor();
                    preProcessor.Deskew = true;
                    preProcessor.Autorotate = false;
                    preProcessor.KeepOriginalImage = true;

                    // Read source BMP file
                    ocr.ReadBMPSource(@"..\..\..\..\documents\source\BMPSample.bmp");

                    // Read source PNG file
                    //ocr.ReadBMPSource(@"..\..\..\..\documents\source\PNGSample.png");

                    // Read source JPEG file
                    //ocr.ReadJPEGSource(@"..\..\..\..\documents\source\JPEGSample.jpg");

                    //OCR the image
                    if (ocr.Recognize(preProcessor))
                    {
                        // Save output as searchable PDF
                        ocr.SavePDFOutput(@"..\..\..\..\documents\output\output.pdf", true);
                    }

                    ocr.DeleteTemporaryFiles();
                }
            }
            catch (Exception e)
            {
                Console.WriteLine("Error in OCR Processing :" + e.Message);
            }
        }
    }
}