﻿using Aquaforest.ExtendedOCR.Api;
using System;

namespace OCRImagePDF
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            try
            {
                using (Ocr ocr = new Ocr(@"..\..\..\..\..\xbin\resources"))
                {
                    // Set OCR options
                    ocr.EnableConsoleOutput = true;
                    ocr.EnableDebugOutput = true;
                    ocr.Language = SupportedLanguages.English;
                    ocr.EnablePdfOutput = true;

                    // Set PreProcessor options
                    PreProcessor preProcessor = new PreProcessor();
                    preProcessor.Deskew = true;

                    // Read source PDF file
                    ocr.ReadPDFSource(@"..\..\..\..\documents\source\image_pdf.pdf");

                    // Perform OCR recognition
                    if (ocr.Recognize(preProcessor))
                    {
                        // Save output as searchable PDF
                        ocr.SavePDFOutput(@"..\..\..\..\documents\output\image_pdf.pdf", true);
                    }

                    ocr.DeleteTemporaryFiles();
                }
            }
            catch (Exception e)
            {
                Console.WriteLine("Error in OCR Processing :" + e.Message);
            }
        }
    }
}