﻿using Aquaforest.ExtendedOCR.Api;
using System;
using System.IO;

namespace ocr
{
    internal class PDFACompliance
    {
        private static void Main(string[] args)
        {
            try
            {
                using (Ocr ocr = new Ocr(@"..\..\..\..\..\xbin\resources"))
                {
                    // Set OCR options
                    ocr.EnableConsoleOutput = true;
                    ocr.Language = SupportedLanguages.English;
                    ocr.EnablePdfOutput = true;
                    ocr.PDFVersion = PDFVersion.PDF_A2b;

                    // Set PreProcessor options
                    PreProcessor preProcessor = new PreProcessor();
                    preProcessor.Autorotate = false;
                    preProcessor.Deskew = true;

                    // Read source TIFF file
                    ocr.ReadTIFFSource(Path.GetFullPath(@"..\..\..\..\documents\source\sample.tif"));

                    // Perform OCR recognition
                    if (ocr.Recognize(preProcessor))
                    {
                        // Save output as searchable PDF
                        ocr.SavePDFOutput(Path.GetFullPath(@"..\..\..\..\documents\output\samplePDFA.pdf"), true);
                    }

                    ocr.DeleteTemporaryFiles();
                }
            }
            catch (Exception e)
            {
                Console.WriteLine("Error in OCR Processing :" + e.Message);
            }
        }
    }
}