﻿using System;
using System.IO;
using Aquaforest.OCR.Api;

namespace PasswordProtectedPDF
{
    class PasswordProtectedPDF
    {
        static void Main(string[] args)
        {
            try
            {
                using (Ocr ocr = new Ocr())
                {
                    string resourceFolder = Path.GetFullPath(@"..\..\..\..\..\bin\");

                    string currentEnvironmentVariables = Environment.GetEnvironmentVariable("PATH");
                    if (!currentEnvironmentVariables.Contains(resourceFolder))
                    {
                        Environment.SetEnvironmentVariable("PATH", currentEnvironmentVariables + ";" + resourceFolder);
                    }

                    // Set OCR options 
                    ocr.ResourceFolder = resourceFolder;
                    ocr.EnableConsoleOutput = true;
                    ocr.Language = SupportedLanguages.English;
                    ocr.EnablePdfOutput = true;

                    // Set PreProcessor options
                    PreProcessor preProcessor = new PreProcessor();
                    preProcessor.Deskew = true;
                    preProcessor.Autorotate = false;

                    string source = @"..\..\..\..\documents\source\secured.pdf";

                    // Read source PDF file (password = ddd)
                    ocr.ReadPDFSource(Path.GetFullPath(source), "ddd");

                    // Perform OCR recognition
                    if (ocr.Recognize(preProcessor))
                    {
                        // Save output as searchable PDF
                        ocr.SavePDFOutput(Path.GetFullPath(@"..\..\..\..\documents\output\secured_searchable.pdf"), true);
                    }

                    ocr.DeleteTemporaryFiles();
                }
            }

            catch (Exception e)
            {
                Console.WriteLine("Error in OCR Processing :" + e.Message);
            }
        }
    }
}
