﻿using Aquaforest.ExtendedOCR.Api;
using System;
using System.IO;

namespace PasswordProtectedPDF
{
    internal class PasswordProtectedPDF
    {
        private static void Main(string[] args)
        {
            try
            {
                using (Ocr ocr = new Ocr(@"..\..\..\..\..\xbin\resources"))
                {
                    // Set OCR options
                    ocr.Language = SupportedLanguages.English;
                    ocr.EnableConsoleOutput = true;
                    ocr.EnablePdfOutput = true;

                    // Set PreProcessor options
                    PreProcessor preProcessor = new PreProcessor();
                    preProcessor.Autorotate = false;
                    preProcessor.Deskew = true;

                    string source = @"..\..\..\..\documents\source\secured.pdf";

                    // Read source PDF file (password = ddd)
                    ocr.ReadPDFSource(Path.GetFullPath(source), "ddd");

                    // Perform OCR recognition
                    if (ocr.Recognize(preProcessor))
                    {
                        // Save output as searchable PDF
                        ocr.SavePDFOutput(Path.GetFullPath(@"..\..\..\..\documents\output\secured_searchable.pdf"), true);
                    }

                    ocr.DeleteTemporaryFiles();
                }
            }
            catch (Exception e)
            {
                Console.WriteLine("Error in OCR Processing :" + e.Message);
            }
        }
    }
}