﻿using Aquaforest.ExtendedOCR.Api;
using System;
using System.IO;

namespace RemoveDarkBorders
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            try
            {
                using (Ocr ocr = new Ocr(Path.GetFullPath(@"..\..\..\..\..\xbin\resources")))
                {
                    // Set OCR options
                    ocr.Language = SupportedLanguages.English;
                    ocr.EnablePdfOutput = true;
                    ocr.EnableConsoleOutput = true;

                    // Set PreProcessor options
                    PreProcessor preProcessor = new PreProcessor();
                    preProcessor.Deskew = true;
                    preProcessor.Autorotate = false;
                    preProcessor.RemoveDarkBorders = true;
                    preProcessor.KeepOriginalImage = false;

                    // Read source TIFF file
                    ocr.ReadTIFFSource(@"..\..\..\..\documents\source\dark_borders.tif");

                    // Perform OCR recognition
                    if (ocr.Recognize(preProcessor))
                    {
                        // Save output as searchable PDF
                        ocr.SavePDFOutput(@"..\..\..\..\documents\output\output.pdf", true);
                    }

                    ocr.DeleteTemporaryFiles();
                }
            }
            catch (Exception e)
            {
                Console.WriteLine("Error in OCR Processing :" + e.Message);
            }
        }
    }
}