﻿using System;
using System.IO;
using System.Linq;
using Aquaforest.BarcodeReader.Api;
using Aquaforest.BarcodeReader.Common;

namespace SplitDocumentByBarcode
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {

                BarcodeReaderSettings settings = new BarcodeReaderSettings();
                settings.Morph = "e2.2";

                BarcodeReader reader = new BarcodeReader(settings);

                string resourceFolder = Path.GetFullPath(@"..\..\..\..\..\bin\");

                string currentEnvironmentVariables = Environment.GetEnvironmentVariable("PATH");
                if (!currentEnvironmentVariables.Contains(resourceFolder))
                {
                    Environment.SetEnvironmentVariable("PATH", currentEnvironmentVariables + ";" + resourceFolder);
                }
                reader.ResourceFolder = resourceFolder;

                reader.PerformPreprocessing = true;
                reader.EnableConsoleOutput = true;
                reader.SplitByBarcode = true;
                reader.SplitMode = SplitMode.BARCODE_FIRST_PAGE;

                reader.SplitOutputPath = Path.GetFullPath(@"..\..\..\..\documents\output\%VALUE%_%INDEX%.pdf");
                reader.DecodePdf(Path.GetFullPath(@"..\..\..\..\documents\source\multipage.pdf"));

                //reader.SplitOutputPath = Path.GetFullPath(@"..\..\..\..\documents\output\%VALUE%_%INDEX%.tif");
                //reader.DecodeImage(Path.GetFullPath(@"..\..\..\..\documents\source\multipage.tif"));
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }
        }
    }
}
